Package: org.gradle.platform.base

## [Java] Interface BinarySpec

- org.gradle.api.Buildable

- All Superinterfaces:
    Buildable

  Represents a binary artifact that is the result of building a project component.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getDisplayName()` Returns a human-consumable display name for this binary.
    `DomainObjectSet<LanguageSourceSet>` | `getInputs()` Returns all inputs of the binary.
    `DomainObjectSet<LanguageSourceSet>` | `getSource()` The source sets used to compile this binary.
    `ModelMap<LanguageSourceSet>` | `getSources()` The sources owned by this binary.
    `BinaryTasksCollection` | `getTasks()` The set of tasks associated with this binary.
    `boolean` | `isBuildable()` Can this binary be built in the current environment?
    `void` | `sources(Action<? super ModelMap<LanguageSourceSet>> action)` Configures the source sets used to build this binary.
    `void` | `tasks(Action<? super BinaryTasksCollection> action)` Configures the tasks that build this binary.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface BuildableModelElement` | `builtBy, getBuildTask, setBuildTask, hasBuildDependencies, getBuildDependencies`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public String getDisplayName()

      Returns a human-consumable display name for this binary.

    - #### public DomainObjectSet<LanguageSourceSet> getInputs()

      Returns all inputs of the binary. This includes source sets owned by the binary, and other source sets created elsewhere (e.g. inherited from the binary's component).

      Returns:
        all inputs of the binary.

    - #### @Deprecated public DomainObjectSet<LanguageSourceSet> getSource()

      The source sets used to compile this binary.

      deprecated:
        This method is replaced with getInputs().

    - #### public ModelMap<LanguageSourceSet> getSources()

      The sources owned by this binary.

      Returns:
        the sources owned by the binary.

    - #### public BinaryTasksCollection getTasks()

      The set of tasks associated with this binary.

    - #### public boolean isBuildable()

      Can this binary be built in the current environment?

    - #### public void sources(Action<? super ModelMap<LanguageSourceSet>> action)

      Configures the source sets used to build this binary.

      Parameters:
        `action` - The configuration action to execute for each owned source set.

    - #### public void tasks(Action<? super BinaryTasksCollection> action)

      Configures the tasks that build this binary.